% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/propose.R
\docType{data}
\name{four_leaves_graphs}
\alias{four_leaves_graphs}
\title{Four leaves graphs.}
\format{A list of functions on four leaves.
        The outputs of these functions are \code{\link{agraph}} objects.}
\usage{
four_leaves_graphs
}
\description{
A comprehensive listing of all the \eqn{35} admixture graphs with four leaves and
at most two admixture events. Our convention is that the position of the root does
not matter (as long as it's not after an admixture event) and that graphs that have
\emph{eyes}, two inner nodes with the property that all the paths between any two
leaves visits both or neither of them, are excluded. The reason is that the \eqn{f}
statistics  can't detect the exact position of the root or distinguish between an
eye and a simple branch. The position of the root can be moved later with the function
\code{\link{make_an_outgroup}}.
}
\examples{
\donttest{
# While the usage of this function is pretty self-explanatory, let's plot all the graphs
# just for browsing.
for (i in seq(1, length(four_leaves_graphs))) {
  graph <- four_leaves_graphs[[i]](c("A", "B", "C", "D"))
  # This is how you include quotation marks in strings by the way:
  title <- paste("four_leaves_graphs[[", i, "]](c(\\"A\\", \\"B\\", \\"C\\", \\"D\\"))", sep = "")
  plot(graph, color = "tomato3", title = title)
}
}

}
\seealso{
\code{\link{make_permutations}}

\code{\link{fit_permutations_and_graphs}}

\code{\link{add_a_leaf}}

\code{\link{add_an_admixture}}

\code{\link{add_an_admixture2}}

\code{\link{make_an_outgroup}}

Other graphs: \code{\link{eight_leaves_trees}},
  \code{\link{five_leaves_graphs}},
  \code{\link{seven_leaves_trees}},
  \code{\link{six_leaves_graphs}}
}
\keyword{datasets}

